org.apache.ignite.internal.visor.igfs

## Class VisorIgfsProfiler

- java.lang.Object
- - org.apache.ignite.internal.visor.igfs.VisorIgfsProfiler

    public class VisorIgfsProfiler
    extends Object

Various global constants for IGFS profiler.

### Field Summary

Fields
`static int` `UNIFORMITY_BLOCKS` Default number of blocks to split file for uniformity calculations.
`static int` `UNIFORMITY_DFLT_BLOCK_SIZE` Default file block size to calculate uniformity.

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsProfiler()`

### Method Summary

All Methods Static Methods Concrete Methods
`static VisorIgfsProfilerEntry` `aggregateIgfsProfilerEntries(List<VisorIgfsProfilerEntry> entries)` Aggregate IGFS profiler entries.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNIFORMITY_DFLT_BLOCK_SIZE

    public static final int UNIFORMITY_DFLT_BLOCK_SIZE

Default file block size to calculate uniformity.

See Also:
  Constant Field Values

#### UNIFORMITY_BLOCKS

    public static final int UNIFORMITY_BLOCKS

Default number of blocks to split file for uniformity calculations.

See Also:
  Constant Field Values

### Constructor Detail

#### VisorIgfsProfiler

    public VisorIgfsProfiler()

### Method Detail

#### aggregateIgfsProfilerEntries

    public static VisorIgfsProfilerEntry aggregateIgfsProfilerEntries(List<VisorIgfsProfilerEntry> entries)

Aggregate IGFS profiler entries.

Parameters:
  `entries` - Entries to sum.
Returns:
  Single aggregated entry.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020